package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 手机验证码对象 mall_member_cms
 * 
 * @author ruoyi
 * @date 2022-06-28
 */
public class MallMemberCms extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @Excel(name = "id")
    private Long id;

    /** 验证码 */
    @Excel(name = "验证码")
    private String cmsCode;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 状态（0-未使用，1-已使用） */
    @Excel(name = "状态", readConverterExp = "0=-未使用，1-已使用")
    private Long status;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCmsCode(String cmsCode) 
    {
        this.cmsCode = cmsCode;
    }

    public String getCmsCode() 
    {
        return cmsCode;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cmsCode", getCmsCode())
            .append("phone", getPhone())
            .append("status", getStatus())
            .append("createAt", getCreateAt())
            .toString();
    }
}
